
Foreman - Bug #5141

User unable to access children taxonomies

04/10/2014 12:13 PM - Daniel Lobato Garcia

Status: Closed   

Priority: High   

Assignee: Joseph Magen   

Category: Organizations and Locations   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a user has a taxonomy "a" with children "a/b" and "a/c", I think it's expected that if the user owns the top-level taxonomy, that

user has also access to stuff in the subtree ("a/b", "a/c" in the example).

It doesn't seem to be the case and only the root taxonomy is visible in the top bar, I cannot change the location/organization to

anything but "a".

Related issues:

Precedes Foreman - Bug #5180: UsergroupTest.test_0004_hosts should be retriev... Closed 04/11/2014 04/11/2014

Associated revisions

Revision 53516db7 - 04/14/2014 11:35 AM - Joseph Magen

fixes #5141 - User unable to access children taxonomies on switcher

History

#1 - 04/13/2014 09:58 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

https://github.com/theforeman/foreman/pull/1374

#2 - 04/13/2014 09:59 AM - Joseph Magen

- Status changed from Ready For Testing to Assigned

- Target version set to 1.8.4

mistake, I meant to update issue 5140

#3 - 04/13/2014 11:19 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1375

#4 - 04/14/2014 12:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 53516db7c7646ec76ce449793a4bc8048d48b787.

#5 - 04/14/2014 02:23 PM - Dominic Cleal

- Precedes Bug #5180: UsergroupTest.test_0004_hosts should be retrieved from recursive/complex usergroup definitions broken added
https://github.com/theforeman/foreman/pull/1374
https://github.com/theforeman/foreman/pull/1375
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/53516db7c7646ec76ce449793a4bc8048d48b787


#6 - 04/14/2014 02:24 PM - Dominic Cleal

- translation missing: en.field_release set to 4
